#!/bin/sh

# If directory exists don't run the script
# cd /opt/pyheatpump git clone https://git.yannweb.net/cli/pyHeatpump.git
[ ! -d /opt/pyHeatpump/ ] && echo "Missing /opt/pyHeatpump/" && exit 1;
[ ! -d /run/pyheatpump/ ] && echo "Missing /run/pyheatpump/" && exit 1;

[ -f /run/pyheatpump/pyheatpump.sqlite3 ] && [ -f /run/pyheatpump/pyheatpump.ini ] \
        && echo "Incorrect runtime directory" && exit 1;

# Database initialization
sqlite3 -init /opt/pyHeatpump/db/pyheatpump.sql /run/pyheatpump/pyheatpump.sqlite3 .quit \
    || (echo "Failed to initialize database" && exit 1);

# Default configuration setup
cp /opt/pyHeatpump/config/pyheatpump.prod.ini.dist /run/pyheatpump/pyheatpump.ini \
    || (echo "Failed to initialized configuration file" && exit 1);

exit 0;
